Bug 839732 - Conga Add a Service Screen is Missing Option for Restart-Disable Recovery Policy
Conga Add a Service Screen is Missing Option for Restart-Disable Recovery Policy
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.9
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ryan McCabe
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 12:50 EDT by Steven J. Levine
Modified: 2013-01-08 00:10 EST (History)
4 users (show)

See Also:
Fixed In Version: conga-0.12.2-54.el5
Doc Type: Bug Fix
Doc Text:
Cause: The "restart-disable" recovery policy was not displayed in the list of recovery polices from which users could select when configuring recovery policy for a failover domain. Consequence: The "restart-disable" recovery policy could not be set using the luci GUI. Fix: The "restart-disable" recovery option has been added to the recovery policy pulldown list. Result: The "restart-disable" recovery policy can now be set using the luci GUI.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 00:10:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven J. Levine 2012-07-12 12:50:07 EDT
Description of problem:

In the latest test version of the RHEL 5.9 Conga on babalu, the Add a Service screen dropdown menu for Recovery Policy provides these options:

Relocate
Restart
Disable

As of RHEL 5.6, however, a Restart-Disable recovery policy was added.
Comment 1 RHEL Product and Program Management 2012-07-12 16:48:34 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Ryan McCabe 2012-07-13 09:39:27 EDT
Created attachment 598073 [details]
proposed fix

Tested on a RHEL 5.9 cluster

with luci-0.12.2-53.el5.x86_64.rpm:

No restart-disable option in the "Recovery Policy" dropdown on the service and VM add and edit pages.

With this fix:

restart-disable policy is listed under the restart policy in the dropdown on the service and VM add and edit pages.

I tested adding new services and VMs, and modifying existing services and VMs.
Comment 9 errata-xmlrpc 2013-01-08 00:10:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0128.html

Note You need to log in before you can comment on or make changes to this bug.